# Uses of Interface
org.eclipse.emf.cdo.eresource.CDOResourceFolder

Packages that use CDOResourceFolder
Package
Description
org.eclipse.emf.cdo.eresource
The generated EMF API of the CDO repository file system.
org.eclipse.emf.cdo.eresource.impl
The generated EMF implementation of the CDO repository file system.
org.eclipse.emf.cdo.eresource.util
The generated EMF utilities of the CDO repository file system.
org.eclipse.emf.cdo.transaction
Client concepts for dealing with transactions, distributed transactions and their save points.
org.eclipse.emf.cdo.ui
Reusable UI components specific to the CDO Model Repository.
org.eclipse.emf.cdo.util
Client utility classes, some common interfaces and exceptions.
org.eclipse.emf.cdo.view
Client concepts for dealing with views, view sets, queries, CDO objects and EMF resource sets.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOResourceFolder in org.eclipse.emf.cdo.eresource

Methods in org.eclipse.emf.cdo.eresource that return CDOResourceFolder
Modifier and Type
Method
Description
`CDOResourceFolder`
CDOResourceFolder.`addResourceFolder(String name)`
`CDOResourceFolder`
EresourceFactory.`createCDOResourceFolder()`
Returns a new object of class 'CDO Resource Folder'.
`CDOResourceFolder`
CDOResourceNode.`getFolder()`
Returns the value of the 'Folder' container reference.
Methods in org.eclipse.emf.cdo.eresource with parameters of type CDOResourceFolder
Modifier and Type
Method
Description
`void`
CDOResourceNode.`setFolder(CDOResourceFolder value)`
Sets the value of the '`Folder`' container reference.

## Uses of CDOResourceFolder in org.eclipse.emf.cdo.eresource.impl

Classes in org.eclipse.emf.cdo.eresource.impl that implement CDOResourceFolder
Modifier and Type
Class
Description
`class`
`CDOResourceFolderImpl`
An implementation of the model object 'CDO Resource Folder'.
Methods in org.eclipse.emf.cdo.eresource.impl that return CDOResourceFolder
Modifier and Type
Method
Description
`CDOResourceFolder`
CDOResourceFolderImpl.`addResourceFolder(String name)`
`CDOResourceFolder`
EresourceFactoryImpl.`createCDOResourceFolder()`
`CDOResourceFolder`
CDOResourceNodeImpl.`getFolder()`
Methods in org.eclipse.emf.cdo.eresource.impl with parameters of type CDOResourceFolder
Modifier and Type
Method
Description
`void`
CDOResourceNodeImpl.`basicSetFolder(CDOResourceFolder newFolder, boolean checkDuplicates)`
`void`
CDOResourceImpl.`setFolder(CDOResourceFolder newFolder)`
`void`
CDOResourceNodeImpl.`setFolder(CDOResourceFolder newFolder)`
`void`
CDOResourceNodeImpl.`setFolderGen(CDOResourceFolder newFolder)`

## Uses of CDOResourceFolder in org.eclipse.emf.cdo.eresource.util

Methods in org.eclipse.emf.cdo.eresource.util with parameters of type CDOResourceFolder
Modifier and Type
Method
Description
`T`
EresourceSwitch.`caseCDOResourceFolder(CDOResourceFolder object)`
Returns the result of interpreting the object as an instance of 'CDO Resource Folder'.

## Uses of CDOResourceFolder in org.eclipse.emf.cdo.transaction

Methods in org.eclipse.emf.cdo.transaction that return CDOResourceFolder
Modifier and Type
Method
Description
`CDOResourceFolder`
CDOPushTransaction.`createResourceFolder(String path)`
Deprecated.
`CDOResourceFolder`
CDOTransaction.`createResourceFolder(String path)`
`CDOResourceFolder`
CDOPushTransaction.`getOrCreateResourceFolder(String path)`
Deprecated.
`CDOResourceFolder`
CDOTransaction.`getOrCreateResourceFolder(String path)`
`CDOResourceFolder`
CDOPushTransaction.`getResourceFolder(String path)`
Deprecated.
Methods in org.eclipse.emf.cdo.transaction with parameters of type CDOResourceFolder
Modifier and Type
Method
Description
`List<CDOResourceNode>`
CDOPushTransaction.`queryResources(CDOResourceFolder folder, String name, boolean exactMatch)`
Deprecated.
`org.eclipse.net4j.util.collection.CloseableIterator<CDOResourceNode>`
CDOPushTransaction.`queryResourcesAsync(CDOResourceFolder folder, String name, boolean exactMatch)`
Deprecated.

## Uses of CDOResourceFolder in org.eclipse.emf.cdo.ui

Methods in org.eclipse.emf.cdo.ui with parameters of type CDOResourceFolder
Modifier and Type
Method
Description
`void`
CDOItemProvider.`fillResourceFolder(IMenuManager manager, CDOResourceFolder folder)`

## Uses of CDOResourceFolder in org.eclipse.emf.cdo.util

Methods in org.eclipse.emf.cdo.util that return CDOResourceFolder
Modifier and Type
Method
Description
`final CDOResourceFolder`
CDOBalancedTree.`getRoot()`
Constructors in org.eclipse.emf.cdo.util with parameters of type CDOResourceFolder
Modifier
Constructor
Description
``
`CDOBalancedTree(CDOResourceFolder root)`
``
`CDOBalancedTree(CDOResourceFolder root, int nodeCapacity)`
``
`CDOBalancedTree(CDOResourceFolder root, int folderCapacity, int resourceCapacity)`

## Uses of CDOResourceFolder in org.eclipse.emf.cdo.view

Methods in org.eclipse.emf.cdo.view that return CDOResourceFolder
Modifier and Type
Method
Description
`CDOResourceFolder`
CDOView.`getResourceFolder(String path)`
Methods in org.eclipse.emf.cdo.view with parameters of type CDOResourceFolder
Modifier and Type
Method
Description
`List<CDOResourceNode>`
CDOView.`queryResources(CDOResourceFolder folder, String name, boolean exactMatch)`
Returns a list of the resources in the given folder with a name equal to or starting with the value of the name parameter.
`org.eclipse.net4j.util.collection.CloseableIterator<CDOResourceNode>`
CDOView.`queryResourcesAsync(CDOResourceFolder folder, String name, boolean exactMatch)`
Returns an iterator over the resources in the given folder with a name equal to or starting with the value of the name parameter.

## Uses of CDOResourceFolder in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo that return CDOResourceFolder
Modifier and Type
Method
Description
`CDOResourceFolder`
InternalCDOTransaction.`getOrCreateResourceFolder(List<String> names)`